Could not create type 'WidgetService'.

May 25, 2008 at 12:01 AM
Edited May 25, 2008 at 12:03 AM
I just downloaded the new release full 1.1.0. I have got this error message when I compile it. Please help. Thanks.


Error 3 Could not create type 'WidgetService'. C:\My Downloads\Application\Csharp\VS2008\Dropthings-Full-1.1.0\Dropthings-Full-1.1.0\Source\Dropthings\WidgetService.asmx 1 
May 26, 2008 at 12:09 AM
Edited May 26, 2008 at 12:21 AM
If you want to get compiling - do these steps

1) In WdigetSErvice.asmx, change class to  Dropthings.Web.Framework.WidgetService
You will get more errors then

2) Change ActionTypeEnum to ActionType
3) Change ReVisit to revisit
4) In Default.aspx.cs - add using Dropthings.Web.UI;

This will get you compiling.  There are errors when running - may take a look at them later - doesn't look like the ZIP has the latest code.



May 27, 2008 at 11:01 PM
Thanks. it works.
May 31, 2008 at 7:28 PM
I cannot rename it like you suggest:
1) In WdigetSErvice.asmx, change class to  Dropthings.Web.Framework.WidgetService
This is the error:
Error 2 Invalid token '.' in class, struct, or interface member declaration C:\Test\Dropthings\Source\Dropthings\App_Code\WidgetService.cs 20 28 C:\...\Dropthings\

Maybe the author will post the correct files soon.


Jun 13, 2008 at 1:56 PM
After compiling the new release full 1.1.0. I am getting the following error message.

Quote
The remote server returned an error: (407) Proxy Authentication Required.
Unquote

In the following file
Widgets\HoroscopeWidget.ascx.cs

Any help will be appreciated thanks.
Jun 19, 2008 at 11:27 AM
Edited Jun 19, 2008 at 11:28 AM
i followed gradecki's instructions but then i couldn't move widgets around. i found out that MyFramework.js needed to be updated as well.

I had to change line 6 to             Dropthings.Web.Framework.WidgetService.DeleteWidgetInstance(instanceId);

And line 70 to              Dropthings.Web.Framework.WidgetService.MoveWidgetInstance( instanceId, columnNo, row );


Now I can move thing around 


Jun 19, 2008 at 3:13 PM
You'll probably find you have to add the "Dropthings.Web.Framework." to a few other lines also. "PageService" calls needed the same qualification on my build.